Package commoble.morered.client

# Class WirePostRenderer

java.lang.Object
commoble.morered.client.WirePostRenderer

All Implemented Interfaces:
  `net.minecraft.client.renderer.blockentity.BlockEntityRenderer<WirePostBlockEntity>`

public class WirePostRenderer extends Object implements net.minecraft.client.renderer.blockentity.BlockEntityRenderer<WirePostBlockEntity>

## Constructor Summary

Constructors
Constructor
Description
`WirePostRenderer(net.minecraft.client.renderer.blockentity.BlockEntityRendererProvider.Context context)`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getRed(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, float partialTicks)`
`void`
`render(WirePostBlockEntity post, float partialTicks, com.mojang.blaze3d.vertex.PoseStack matrices, net.minecraft.client.renderer.MultiBufferSource buffer, int combinedLightIn, int combinedOverlayIn)`
`boolean`
`shouldRenderOffScreen(WirePostBlockEntity te)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.client.renderer.blockentity.BlockEntityRenderer

`getViewDistance, shouldRender`

## Constructor Details

### WirePostRenderer

public WirePostRenderer(net.minecraft.client.renderer.blockentity.BlockEntityRendererProvider.Context context)

## Method Details

### getRed

public static int getRed(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, float partialTicks)

### render

public void render(WirePostBlockEntity post, float partialTicks, com.mojang.blaze3d.vertex.PoseStack matrices, net.minecraft.client.renderer.MultiBufferSource buffer, int combinedLightIn, int combinedOverlayIn)

Specified by:
  `render` in interface `net.minecraft.client.renderer.blockentity.BlockEntityRenderer<WirePostBlockEntity>`

### shouldRenderOffScreen

public boolean shouldRenderOffScreen(WirePostBlockEntity te)

Specified by:
  `shouldRenderOffScreen` in interface `net.minecraft.client.renderer.blockentity.BlockEntityRenderer<WirePostBlockEntity>`